# -*- coding: utf-8 -*-

import re

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　　影楓　　製作分享　　　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13",2)
UI.UpdateLog("【上傳空間】：[ES下載] herosh.com (免空)",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：檔案下載",2)

UI.UpdateLog("※連結至 www.herosh.com 下載網址...",4)
Url = "http://anonymouse.org/cgi-bin/anon-www.cgi/" + UI.Link
HTML=HTTP.GetURL(Url)
Match = re.search("\S+\/([^\s]+)\.",UI.Link)
if Match == None:
        UI.UpdateLog("※無法擷取檔案名稱..." + UI.Link,3)
        UI.ProceFalse()
        exit()
else:
        DownloadName = Match.group(1)
Match = re.search("rel\=\"nofollow\" href\=\"http:\/\/anonymouse\.org\/cgi\-bin\/anon-www\.cgi\/([^\"]+)\"\>\<b",HTML)
if Match == None:
        UI.UpdateLog("※無法擷取下載網址..."+HTML,3)
        UI.ProceFalse()
        exit()
else:
        DownloadLink = Match.group(1)
UI.UpdateLog("※檔案名稱 → " + DownloadName,4)
UI.UpdateLog("※下載載點 → " + DownloadLink,4)
UI.FileName = (DownloadName)
UI.UpdateLog("=================================================================")
UI.UpdateLog("※開始下載...",4)
Staus=UI.DownloadURL(DownloadLink)
if Staus==True:
        UI.UpdateLog("※檔案下載成功!!",4)
else:
        UI.ProceFalse()
UI.UpdateLog("=================================================================")